Name:           fillmore-lombard
Version:        0.1.0
Release:        4%{?dist}
Summary:        Multimedia applications for GNOME
Group:          Applications/Multimedia

License:        LGPLv2+
URL:            http://www.yorba.org
Source0:        http://www.yorba.org/download/media/0.1/%{name}-%{version}.tar.bz2

Patch0: fillmore-member.patch
Patch1: fillmore-name.patch

BuildRequires:  gtk2-devel
BuildRequires:  libgee-devel
BuildRequires:  gstreamer-devel
BuildRequires:  gstreamer-plugins-base-devel
BuildRequires:  vala
BuildRequires:  desktop-file-utils

%description
This package contains multimedia appliations for GNOME.


%package -n fillmore
Summary: A multitrack audio editor for GNOME
Group:          Applications/Multimedia

%description -n fillmore
Fillmore is a multitrack audio editor for GNOME.


%package -n lombard
Summary: A video editor for GNOME
Group:          Applications/Multimedia

%description -n lombard
Lombard is a video editor for GNOME.


%prep
%setup -q -n media-%{version}
%patch0 -p1 -b .member
%patch1 -p1 -b .name

%build
./configure
sed -i -e 's#PREFIX=/usr/local#PREFIX=/usr#' marina.mk
echo "CFLAGS=%{optflags} -fPIC" >> configure.mk
make %{?_smp_mflags}


%install
make install DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/icon-theme.cache

rm -rf $RPM_BUILD_ROOT%{_datadir}/mime/{XMLnamespaces,aliases,application,generic-icons,globs,globs2,icons,magic,mime.cache,subclasses,text,treemagic,types}

sed -i -e "s/^\(MimeType=.*$\)/\1;/" $RPM_BUILD_ROOT%{_datadir}/applications/fillmore.desktop
sed -i -e "s/^\(MimeType=.*$\)/\1;/" $RPM_BUILD_ROOT%{_datadir}/applications/lombard.desktop

desktop-file-validate $RPM_BUILD_ROOT%{_datadir}/applications/fillmore.desktop
desktop-file-validate $RPM_BUILD_ROOT%{_datadir}/applications/lombard.desktop

%post -n fillmore
update-desktop-database -q
update-mime-database %{_datadir}/mime >&/dev/null || :
touch --no-create %{_datadir}/icons/hicolor >&/dev/null || :

%postun -n fillmore
update-desktop-database -q
update-mime-database %{_datadir}/mime >&/dev/null || :
if [ $1 -eq 0 ]; then
  touch --no-create %{_datadir}/icons/hicolor >&/dev/null || :
  gtk-update-icon-cache %{_datadir}/icons/hicolor >&/dev/null || :
fi

%posttrans -n fillmore
gtk-update-icon-cache %{_datadir}/icons/hicolor >&/dev/null || :


%post -n lombard
update-desktop-database -q
update-mime-database %{_datadir}/mime >&/dev/null || :
touch --no-create %{_datadir}/icons/hicolor >&/dev/null || :

%postun -n lombard
update-desktop-database -q
update-mime-database %{_datadir}/mime >&/dev/null || :
if [ $1 -eq 0 ]; then
  touch --no-create %{_datadir}/icons/hicolor >&/dev/null || :
  gtk-update-icon-cache %{_datadir}/icons/hicolor >&/dev/null || :
fi

%posttrans -n lombard
gtk-update-icon-cache %{_datadir}/icons/hicolor >&/dev/null || :


%files -n fillmore
%defattr(-,root,root,-)
%doc COPYING AUTHORS MAINTAINERS NEWS README THANKS
%{_bindir}/fillmore
%{_datadir}/applications/fillmore.desktop
%{_datadir}/fillmore
%{_datadir}/icons/hicolor/scalable/apps/fillmore.svg
%{_datadir}/mime/packages/fillmore.xml


%files -n lombard
%defattr(-,root,root,-)
%doc COPYING AUTHORS MAINTAINERS NEWS README THANKS
%{_bindir}/lombard
%{_datadir}/applications/lombard.desktop
%{_datadir}/lombard
%{_datadir}/icons/hicolor/scalable/apps/lombard.svg
%{_datadir}/mime/packages/lombard.xml


%changelog
* Thu Jul 15 2010 Matthias Clasen <mclasen@redhat.com> - 0.1.0-3
- Review feedback

* Tue Jul 13 2010 Matthias Clasen <mclasen@redhat.com> - 0.1.0-2
- Cleanups

* Mon Jul 12 2010 Matthias Clasen <mclasen@redhat.com> - 0.1.0-1
- Initial packaging
